<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();
use Claromentis\Core\Icon\IconInterface;




interface MenuItemLinkInterface extends MenuItemInterface
{
    
    
    
    
    
    
    public function getDisabled() : bool;
    
    
    
    
    
    
    
    public function getIcon() : ?IconInterface;
    
    
    
    
    
    
    public function getNewWindow() : bool;
    
    
    
    
    
    
    public function getTitle() : string;
    
    
    
    
    
    
    public function getUrl() : string;
    
    
    
    
    
    
    public function setDisabled(bool $visible) : void;
    
    
    
    
    
    
    public function setIcon(?IconInterface $icon) : void;
    
    
    
    
    
    
    public function setNewWindow(bool $newWindow) : void;
    
    
    
    
    
    
    public function setTitle(string $title) : void;
    
    
    
    
    
    
    public function setUrl(string $url) : void;
}